Package org.apache.synapse.task

## Class DefaultTaskJobDetailFactory

- java.lang.Object
- - org.apache.synapse.task.DefaultTaskJobDetailFactory

- All Implemented Interfaces:
    `TaskJobDetailFactory`

      public class DefaultTaskJobDetailFactory
      extends Object
      implements TaskJobDetailFactory

  Default JobDetailFactory ships with synapse utils

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultTaskJobDetailFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.quartz.JobDetail` | `createJobDetail​(TaskDescription taskDescription, Map<String,​Object> resources, Class<? extends org.quartz.Job> jobClass)` | Factory method for creating a JobDetail based on give Task Description , additional resources and job class

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTaskJobDetailFactory

          public DefaultTaskJobDetailFactory()

  - ### Method Detail

    - #### createJobDetail

          public org.quartz.JobDetail createJobDetail​(TaskDescription taskDescription,
                                                      Map<String,​Object> resources,
                                                      Class<? extends org.quartz.Job> jobClass)

      Description copied from interface: `TaskJobDetailFactory`
      Factory method for creating a JobDetail based on give Task Description , additional resources and job class
      Specified by:
        `createJobDetail` in interface `TaskJobDetailFactory`
      Parameters:
        `taskDescription` - TaskDescription instance
        `resources` - Additional resources . This can be used to provide context specific resources Example : Synapse Environment
        `jobClass` - Job class
      Returns:
        JobDetail instance , if there are enough information to create a instance , otherwise , return null
      See Also:
        `TaskJobDetailFactory`